Subject: Re: bug#16333: 24.3.50; Info manuals: link defined terms to their glossary entries

From: Stefan Kangas <[email-masked]>
Date: Wed, 15 Jan 2020 20:47:09 +0100

Drew Adams <[email-masked]> writes:

> Enhancement request.
>
> Inspired from a post on emacs-devel in thread "Apologia for bzr",
> 2014-01-03, which said,
>
>   I bet you can dip into any number of Info nodes where the terms
>   "buffer" and "window" are used without definition.
>
> That would be a non-issue if such terms were linked (automatically) to
> their glossary entries.  This feature should be optional, and even easy
> to toggle on/off.  The links should be highlighted differently, so users
> can easily tell that they are glossary links.
>
> Info manuals such as the Emacs manual are strong in actually providing
> an extensive glossary of terms.  But it is true that we do not leverage
> that feature by (a) showing, in the main text, which terms are glossary
> terms and (b) provide direct links to their definitions.
>
> We do provide a (probably little-known, little-used) command,
> `search-emacs-glossary', that at least takes you to node `Glossary'.
> But that is only rudimentary help, considering that so much information
> is already organized to provide users term definitions.  What's missing
> is better access to those, and more visibility for them.

I think this is a very interesting feature request, but it
unfortunately has received no reply.  I personally would love to see
this functionality, since I'm one of the users who almost always
forgets to check the glossary.

One can imagine hyperlinks working well.  Maybe it would work even
better with some kind of popup (an overlay or a new window?) that
automatically shows the glossary entry side by side with the current
info node.

Let's hope there is someone interested enough to take a stab at
this.  (Perhaps Drew would like to volunteer?)

Best regards,
Stefan Kangas